.*********************************************************
.* Program : DSKOBV
.*********************************************************
:userdoc.
:docprof toc=123456.
:title.Help For DSKOBV Program
:body.
.*
.*********************************************************
.* Help : Extended Help
.*********************************************************
 
 
.*********************************************************
.* START OF USER GUIDE
.*********************************************************
:h1.Online User Guide
:h2.Introduction
:p.           
The Observatory allows Network Administrators or their users to remotely
 create, protect, and administer OS/2 Desktops. The Observatory provides
 a GUI to construct, apply restriction options, fully log, and password
 protect any object on the Workplace Shell. Once a Desktop is built,
 it can be loaded onto a workstation from a local hard drive,
 from a network drive, an assigned home directory, or even off a
 floppy diskette. The entire Desktop is created in well under a minute
 enabling an unlimited amount of configuration and maintenance alternatives
 to be applied in a moments notice.
:p.           
The Observatory comes armed with a wealth of security features for the
 Workplace Shell and your network. Event-driven password protection with
 internal encrypted passwords. The tool makes it possible to toggle the
 control of the Restriction Options (i.e. deleting, moving, copying,
 dragging etc.) and will set up passwords for folders and programs.
 A running program's data can be filtered as well. For instance, if
 someone has permission to use the OS/2 System Editor but not to use it
 for the CONFIG.SYS file, they will be able to open any file for editing,
 but when they open CONFIG.SYS, a password dialog box will appear
 preventing anyone that is not authorized editing privileges. In a
 nutshell, the Observatory can create and monitor a Desktop without
 altering in any way how a user works or the capabilities of the operating
 system.
:p.           
To round out the package, the Observatory provides Event Driven Activities.
 This allows the REXX or C programmer to launch their own software whenever
 an object is opened or closed. This can be used for selective automated
 backups, metering the number of copies of a program that are currently
 checked out, or tracking a difficult client server problem. It will even
 pass the objects main window handle so you can directly manipulate it.
:p.           
For consistent or mobile Desktops, trusted access pathways, and centralized
 administration the Observatory packs a powerful 32 bit multi-threaded punch.
:p.           
Getting started with the program is easy, but before you begin you should
 read this guide thoroughly. Load the START1.SEC file and experiment with
 it by following the intructions located in the Quick Start section of this
 document. When you do this you will see some of the Observatory's
 capabilities in action. To install this product,  follow the instructions
 in the next section of this document.
:h2. Installation
:p.           
To install from diskette you need to open a Command Prompt window and switch
 to the A: drive. Type: DOINST. A window will appear giving you the chance to
 substitute the target directory for any valid drive and directory.
 Select Install and if the directory does not exist it will be created
 for you. The files will  be copied into the target directory, hidden,
 and the Desktop Observatory Icon will be created on your Desktop.  If you
 are installing on a secured system it is recomended you use a unique 
directory name.
:p.           
You are now ready to activate the program. After you start the Observatory,
 you will be working with the Local Control List (DSKOBV.SEC). You should
 answer Yes when the Observatory asks if you would like to create it.
 This will give you a local list. The Local Control List is the default
 when you cannot get to your network files or if the system has a problem.
 You can tell if you are in the Local Control List if you see DSKOBV.SEC
 in the Master Control Window or if you are in the Object Control List Window,
 and you see Local Control List displayed in red. More on this later. 
:p.           
When you first start, the Mini Icon Control Window will appear in the lower
 left hand portion of the Desktop, it will then disappear and in its place
 will be a Observatory Icon in the lower right hand corner. 
:h2. Mini Icon Window
:p.           
The Mini Icon Window is one part of the tool that you will consistently use.
 It captures any open windows you access and stores a small version of its
 icon in the first available value set moving from left to right. When
 windows are closed the value set component will clear. If you wish, you
 can run the Observatory without this window and how to do this will be
 discussed later.
:p.           
To run with it showing do the following, open the Observatory Controls
 Window by double clicking the Observatory Icon located in the lower right
 of your Desktop, click on the Icon in the Observatory Controls Window,
 select Ok when prompted for a password, check the Show Mini Icon Window
 checkbox in the Master Control Window and finally select Ok. It will now
 be present on the Desktop.
:h3. Selecting Mini Icons
:p. 
 To acess objects, track your mouse pointer over the objects mini icon
 and you will notice the displayed text associated with the icon appear
 in the entry field which is located directly above the mini icons. If you
 single click the left mouse button while over the mini icon, the window
 associated with the object will appear in focus on your Desktop. Double
 clicking on the icon will close the object.
:h3. Note the displayed text
:p. 
When you are creating Control List Files, a task we will discuss in detail,
 you will need to note any open objects title text being displayed in this
 field. You should be aware of any variations that may occur during
 processing in this text as well. For instance, if it is a program, and
 the text changes after a data file has been loaded into it, then the new
 text will reflect this data filename in the Displayed Text field.  If a
 change in title text like this occurs, then refer to the Wild and Partial
 Match section. The exercises in the Quick Start section also address this
 situation. In any case it is a good idea to keep the Mini Icon Window on
 your Desktop until you have completely configured your Shells.
:h2. The Observatory Controls Menu
:p. 
This menu pops up much like a pop-up menu.  However, it is not.
 To dismiss it, use the Dismiss Menu option. It will not leave the
 Desktop until you do so, or you select an option that has it dismissed
 for you. This is so you can alter the size of the Mini Icon Window
 without repeatedly requesting the Observatory Controls Window.
:h3. Setup...
:p. 
The Setup... option provides access to the Object Control List and requires
 input of the Master Password, or if the Ok User Update checkbox is selected,
 the Global Password. Each of these will be discussed in the Master Control
 Window section.
:h3.Move...
:p. 
Selecting this option will open a window where you can choose what corner
 of the Desktop the Mini Icon window will appear. 
:h3.List Display...
:p. 
The List Display option will provide you with a list of the objects present
 in the Object Control List. This is useful to find out the objects that
 you may access without triggering the logging of violations. You simply
 display the list and access only the members of the list when you are
 working on the Desktop. Users that are part of a secured system should
 refer to this list to avoid making any unauthorized access attempts.
:h3.Smaller
:p. 
The Smaller selection will cause the Mini Icon Window to decrease in size
 by 5 pixels each time it is selected. You can experiment to find the best
 size for your display.
:h3.Larger
:p. 
The larger selection will cause the Mini Icon Window to increase in size
 by 5 pixels each time it is selected. Again you can experiment to find the
 best size for your display.
:h3.Close All
:p. 
Close All will post a close message to all object windows stored in the
 Mini Icon Window. Note, windows containing command prompts will not be
 closed and will reappear in the first available position after the process
 has completed. This is useful prior to system shutdown or in-between tasks. 
:h3.Pass Reset
:p. 
The Pass Reset selection is useful when you are running a secured system and
 have accessed windows with valid passwords. When valid passwords are entered
 for windows, they need not be input again. So in order to place objects back
 into a protected mode but leave them running, you should issue the Pass Reset
 command. When the system is reset all password protected windows will require
 passwords to access them.
:h3.Load WPS...
:p. 
This option will load the Workplace Shell that has been configured in the
 active Object Control List. It is recommended you close all your running
 objects before you load the Shell.
:h3.About...
:p. 
This option will display a window containing information about version and
 company information.
:h3.Dismiss Menu
:p. 
This option will dismiss the Observatory Controls Window. 
:h3.Exit
:p. 
This option will close the Observatory. Note - this option will be disabled
 when the system is secured.
:h3.Observatory Icon
:p. 
To access the Master Control Window, click on the icon in the Observatory
 Controls Window.
:h2.Master Control Window
:p. 
The Master Control Window's information is local to the workstation.
 You will use it to point the workstation at the active Object Control List
 and Active Log File as well as set several other local Observatory behavioral
 options. 
:h3.Master Password
:p. 
The Master Password allows access to the Master Control Window and will
 override any individual password request on the local workstation. When you
 select the push-button you will be presented with the Set Object Password
 Window. You must enter the password and verification password. Once you
 have done this, select OK to return to the Master Control Window. As long
 as no Master Password exists, there is open access to the Master Control
 Window and the active Object Control List file.
:h3.Active Control List
:p. 
This entry field points to the active Object Control List file. You can
 use the Find push-button located to the right of the name to access the
 file system if you are trying to locate other Object Control List files
 for use by, or to be modified from, this workstation. In a large network
 this name will not change very often. The administrator can remotely alter
 or substitute this file at any time and a Load WPS command from the impacted
 workstation will apply the modifications . 
:h3.Secure System Enabled
:p. 
When this box is checked and you select Ok from the Master Control Window,
 the system will instantly be in a secured state. All open windows that have
 a password assigned will require a password. All open windows not in the
 Object Control List will close if Ok Unknown is not checked. Windows that
 are in the list that do not have passwords will remain open.
:p.           
It is useful when providing maintenance to remove the check from the Secured
 System Enabled checkbox, do the required maintenance, and turn it on again.
 If you are able to accomplish the work by providing window passwords you
 can select Pass Reset from the Observatory Controls Menu to protect active
 objects when you are finished.
:h3.LAN Resident Security File
:p. 
When checked, this option tells the Observatory that the active Object
 Control List file is located on the network. When the workstation is
 started the Observatory will protect the system until it has access to
 the file. The user will be provided a 15 second time period to begin network
 logon. If the logon fails for any reason the system will default to the
 Local Control List. This local list should be carefully configured to allow
 local work to take place and continue protection for local objects. A local
 Workplace Shell can also be loaded from the Local Control List (DSKOBV.SEC).
 Once they have completed logon, a Load WPS... will restore the network
 Object Control List.
:h3.Initialize Passwords
:p. 
Initialize Passwords will present the Set Object Password Window where you
 can enter a password that will become the Global Password for the active
 Object Control List. Any object in the list that has a password will have
 it deleted and the Use Global Password checkbox will be checked. This option
 is used for new users and forgotten password situations.
:h3.Security Options
:p. 
You may set four security options for the local workstation.
:h4.Invoke DCE GSS API's
:p. 
 If you have purchased DCE from IBM and request a DCE enabled version from
 Pinnacle, the Observatory will step in and issue the SS API's to obtain
 and process DCE security services for any object that has the Use Global
 Password checkbox selected in the Object Control List.  
:h4.Boot Protection Enabled
:p. 
This option will prevent someone from entering CTL+ALT+DEL to soft boot
 the machine. This keeps them from loading a system diskette and searching 
drives. In order to boot, the machine must be powered off.
:h4.Ok User Object Update
:p. 
When checked, this option will allow the user to maintain their own Object
 Control List's configuration, passwords, and events. The Global password
 will allow access to the Object Control List Window.
:h4.Ok Unknown
:p. 
When checked, this option will allow objects that are not present in the
 Object Control List to be opened and accessed. Care should be taken in your
 configuration when selecting this option. It is a good idea to place objects
 an extra folder deep to give the Observatory time to present a password
 window before an unknown object is started.
:h3.Actions at Startup
:p. 
There are several combinations of settings here that will affect the way
 the Observatory operates. You can set it up so that a user will automatically
 have their Workplace Shell loaded and no Mini Icon Window will be displayed,
 thus making the Observatory nearly transparent. You can also Show the Mini
 Icon Window and improve their productivity by reducing the number of
 operations required to access minimized windows and at the same time
 give them a cleaner Desktop by making it more convenient to minimize windows.
:h4.Auto Reset WPS
:p. 
When checked, this option will cause the Observatory to load the Workplace
 Shell from the Object Control List when the system is started.
:h4.Prompt on WPS Reset
:p. 
When checked, this option will prompt the user before the Workplace Shell
 is loaded at startup time to give them a chance to refuse.
:h4.Show Mini Icon Window
:p. 
When checked, this option will cause the Mini Icon Window to appear in the
 selected corner. If it is not selected a small Observatory Icon will appear
 in the lower right hand corner. This icon will allow access to the
 Observatory Controls Window and it cannot be moved.
:h4.Max Password Window
:p. 
When checked, this option will cause a full screen password dialog box to
 appear in any password required situation. This is the default for both
 the Master Control Window and the Object Control list Window. This option
 is useful to protect data from being seen before a valid password is input. 
:h2.Object Control List
:p. 
The Object Control List is accessed from the Observatory Controls Window
 by selecting the Setup... option and providing either the Master Password
 or the Global Password (if the Ok User Update checkbox is selected in the
 Master Control Window).  The Object Control List Window contains the name
 of the active Object Control List file and all the information associated
 with the current object being displayed. The first object is always the
 Desktop object and its password is the Global Password.

:h3.Object Control List Menu
:p. 
The Object Control List Menu provides standard file system controls,
 assistance in object manipulation, password setup, and launching of events
 when the object opens or closes.
:h4.File
:p. 
The File pulldown menu provides access to the local and network file system
 for the processing of Object Control List files, and an alternate location
 from which you can Load WPS to load the Workplace Shell. You can use Open
 to find existing files and create new files.  Use Save to save updated
 objects, passwords, and events.  Use Save as... to reproduce files. 
:h4.Edit
:p. 
With the Edit pulldown you can move Forward and Backward through the list,
 Insert and Delete objects, and Add objects to the end of the list.
:h4.Locate
:p. 
The Locate pulldown assists you in both finding objects in the In List...,
 as well as going out and locating new objects In File System.... The Control
 List selection will present a dialog box where you can enter a case
 sensitive string that will be compared against the Displayed Text,
 OS/2 System Name, and the Object ID. 
The In File System selection will present you with a file system dialog
 box where you can browse the local or network directories for objects to
 add. If you select an object to add, a new object will be appended to the
 end of the list and its path and file name will be added in the
 Executable / Bitmap / Shadow ID / etc. field for you. You will be returned
 to the dialog box and prompted for another selection until you Cancel.
 You must then go back and add the remaining fields and settings for each
 object you have added.
:h4.Password
:p. 
The Password pulldown will allow you to set the current objects password
 or Initialize the entire list with a Global Password. When you Set the
 password or Initialize, you will be presented with the Set Object
 Password Window where you can enter the password, verification password,
 cycle days that pass before the password expires and the number of
 attempts that can be made on the object before the system locks up and
 all objects are closed. To remove the system lock you must enter either
 the Object Control List Window or the Master Control Window.
:h4.Events
:p. 
The Events pulldown allows you to call your own REXX or C programs when an object is 
detected at its Launch time or at its Exit time. Either selection will take you to the Event 
Driven Activity Window where you can input the program name and parameters it uses. 
This is useful for metering the number of licenses, counting accesses to objects, event 
driven backups, or anything your installation may find useful.
:p. The first parameter passed when the object is opened is its main window handle. This is 
provided in case you would like to interact with the object yourself.
:p.           
The Observatory includes, on the installation diskette, simple examples (provided 
for informational use) of both C and REXX metering programs. Before you use your versions 
of them, your network should be setup, locked down, and very stable. A trap or outage
with a requestor that has an open metered application can skew the count. You can however place these programs on your network and if the network OS that you use can
tell the metering program when an offending machine departs with active programs, you 
should be able to add logic based on this information to keep in sync.   
:h3.Object Control List Window
:p. 
These are the fields required to construct and manipulate the objects on the Desktop. Each 
field must be input correctly for the object to be created successfully.
:h4.Number
:p. 
Each object is assigned a number in the list. Because you can work on only one object at a time, you should use this field for visual reference as you move Forward or Backward 
through the list. When you display the entire list from the Observatory Controls Window 
you will see this number associated with the object.
:h4.Displayed Text
:p. 
This string represents the window title text in a running objects main window. If you have any doubt about the text, open the object and place your mouse pointer over its mini icon 
in the Mini Icon Control Window and the text you are looking for will be displayed. The text 
must be input exactly as it appears for successful matches to occur.
:p.           
Some programs Displayed Text will vary when the program loads files for processing.
:h4.Wild
You  can enter a 3 character file extentionin this field to create a filter.
For example, if you want the OS/2 System Editor to be available for use but do not want it
 used to edit the CONFIG.SYS file, you can insert a OS/2 System Editor object before the 
original one or use the original and insert a catch all after, enter SYS in the Wild field, 
check the Partial Match checkbox, and add a password to it. You may also check the 
Global Password checkbox in lieu of a password. When you add a Filter object for security 
purposes, the only required field is the Displayed Text. All other fields can be left blank 
and you should select the Bypass Processing checkbox.  
:h4.Partial Match
:p. 
When checked, a partial match will provide successful partial string processing. For 
example, when you input the string Drive in the Displayed Text field and check the Partial Match box, the next time you open Drive A, Drive C, etc., this single objects password will 
be good for all of the Drive objects. It examines the first part of the objects title text 
against the Displayed Text for the length of the Displayed Text.
:h4.Object Class
:p. 
The Observatory supports modifications of all of the installed visible Workplace Shell 
Classes. It supports the creation of the WPFolder, WPProgram, and WPShadow classes. If
 you are not familiar with classes you can obtain added information from IBM. By using the
 START1.SEC files on the installation diskette and referring to the Quick Start exercises,
 you can learn a lot.
:p.           
You can create new Folders with WPFolder and add unique backgrounds, bitmaps, icons, and views.  You can place other Folders, Programs, or Shadows inside them. You can 
recreate existing program objects with WPProgram. You can shadow local or network 
directories and programs with WPShadow.
:h4.OS/2 System Name
:p. 
This is the given name of the object. Most of the time it is the same as the Displayed Text. 
Some applications vary the title text in unusual ways. When this occurs, input the name 
that appears under the objects icon.
:h4.Object ID
:p. 
This is the unique system ID for the object. It must be inside a <> pair. <WP_DESKTOP> is
the ID for the Desktop and <WP_OS2SYS> is the ID of the OS/2 System Folder. It is recommended that when you create new objects with the Observatory, to precede them
 with a DO_ (i.e. <DO_TOOLS>).  This way you can easily distinguish between objects that 
are created by the Observatory and those that are not.  Never use the same ID for two 
objects or unexpected problems will occur.
:h4.Parent ID
:p. 
This is the ID of the WPFolder class that you want to place the current object inside. For 
example, to place an object on the Desktop enter <WP_DESKTOP> in this field.
:h4.Executable / Bitmap / Shadow ID / etc. For the class of WPProgram the path and file name
 of the EXE file. Yo can use a question mark in place of the drive the OS/2 operating system is 
installed on. You can use a double backslash for network resident programs. You can do the same for
WPShadow. For the class of WPFolder you can optionally enter the path and file name of a 
bitmap to be displayed in the background. For the class of WPShadow you must enter the directory on the local or network drive you wish to shadow. If you assign a logical drive 
letter to a network directory and use the drive letter for creating the object, it will come 
open. 
:h4.Association
:p. 
For the class of WPProgram you can add an optional association. You can enter more than
 one if they are separated by a comma ",". You should refer to the system documentation
 regarding associations if you need further information. Check out the OS2 System Editor
 object for a good example.
:h4.Folder View
:p. 
For the class of WPFolder you can specify the view (i.e. FLOWED, NORMAL, and MINI). If you
 enter more than one they must be separated by a comma ",".
:h4.Icon File or Resource ID
:p. 
If you want to modify an objects icon you can enter the path and file name of an icon file
 or a resource ID. Some objects do not allow for this capability. The best way to find out is
 to try it.
:h3.Restriction Options
:p. 
The Observatory allows you to toggle both on and off any of the Restriction Options that 
are associated with the object. For example, if you check the Hide option, save the Control List, and Load WPS, then the object will not be visible. If you check the Hide option off, 
save the Control List, and Load WPS, then the object will reappear.
:h4.Logging
:p. 
The Observatory comes equipped with five types of logging. It will log an object when it
 comes open. It will log anytime a bad password is presented to an object. It will log after
 the number of attempts that is set in the Set Object Password Window has been exceeded
 and it will log anytime an object is exited. The last type of logging is any time an object is
 terminated by the Observatory. An object can be terminated three ways; (1) when it is
 unknown and the Ok Unknown checkbox is not selected in the Master Control Window, (2)
 when attempts have been exceeded, and (3) when the system is locked. To have logging
 disabled do not enter a Log File Name in the Master Control Window.
:h4.Use Global Password
:p. 
When checked, the Observatory will allow access to this object when the Global Password 
is input in its password dialog box. If there is a password associated with the object it will
 be valid as well. When the list is initialized via the Initialize Password command, the
 object's password will be deleted and this checkbox will be selected for you by the
 system.
:h4.Bypass Processing
:p. 
When checked, this option will tell the Observatory to skip the processing for this object
 when a Load WPS... is issued. Any assigned password or events will always be active
 whether a Load WPS... has been done or not.
:h3.Using the Object Control List
:p. 
You can change the background bitmap and the view of the Desktop object, but that is all 
you can do with it. Do not modify or attempt to delete this object and do not assign an
 event to it. If you are changing the bitmap or view, you need to turn off its Bypass
 Processing checkbox. 
:p.           
To save you setup time, any new Object Control List is initialized to the objects present on 
the workstation when OS/2 was first installed on it. These are typically objects numbers 1
 thru 74, ending with the OS/2 System Editor. These objects can be heavily modified and
 created under a different Parent ID with a unique Object ID, but the Observatory will not
 delete them. You should check the Hide checkbox if you do not want them displayed.
:p.           
If you want to have the Observatory make the desired modifications to your objects,
 remember to deselect the Bypass Processing checkbox. If you are running in a secured
 state you should remove the Bypass Processing check from all objects once, and then load
 the Workplace Shell with the Load WPS command. This will apply the No Rename default
 to these objects. When you check the Bypass Processing checkbox, you improve the time 
it takes to load the Shell by preventing unnecessary and redundant modifications to these
 objects. You may also delete any object from the Object Control List, but be absolutely 
sure or you will have to input the object information again.
:p.           
At the end of the list is where you should add your own objects for the Observatory to build.
 Any new object created by the Observatory will be removed whenever the Observatory is exited
 or another Shell is loaded. Folder bitmaps, icons, and views will not
 be restored to their original state. However, they can be reset the next time another Shell
 is loaded. You may repeat the Object Control List definitions of the WPProgram and
 WPShadow classes with different Object ID's to have multiple versions of objects located
 in different folders or on the Desktop.
:p.           
Do not create objects with the same Object ID. This can cause very unpredictable results. If
 this happens you may have to boot from floppy and issue a MAKEINI command.
:p.           
You can Shadow just about anything, both on the local workstation and out in the LAN.
:h2.Quick Start
:p. 
If you have not yet done so insert the installation diskette in your floppy drive and view 
the README.DOC file for any last minute information not available at press time. Copy the
 START1.SEC file off the installation diskette and onto your hard drive. If you have not 
installed the product follow the installation instructions in the first part of the User Guide.
:h3.Initial Setup
:p. 
When you start the Observatory for the first time, you will be prompted to create the
 DSKOBV.SEC file. Answer YES to this question and the Mini Icon Window will appear for a
 moment and then disappear in the lower left hand corner of the Desktop. This eveDouble
 click on this icon and the Observatory Controls Window will appear in the center of your 
Desktop. Click on the icon that is located in the bottom of this window and a password
 dialog box will fill the screen. Select OK and the Master Control Window will appear.
 Select the Master Password push button, enter and verify a Master Password. Disregard the Cycle
and Attempt fields. You will be returned to the Master Control Window. Check the Ok
Unknown and Show Mini Icon Window check boxes and select Ok to save your changes.
:h3.Quick Start Exercise
:p. 
At this point you will see the Mini Icon Window located in the lower left hand corner of the
 Desktop. It may already have mini versions of any active and open programs or folders you
 have open on the Desktop. It is important to note that an objects main window must be
 visable in order to be captured by the Observatory. Double click on the Observatory Icon
 located in the upper left hand corner of the Mini Icon Window. The Observatory
 Control Window will appear in the center of the Desktop. Select Setup... and enter your master
 password. Once this is complete the Object Control List Window will appear with the Local
 Security File (DSKOBV.SEC) loaded and active. Access the File pulldown and select Open...
 Locate and load the START1.SEC file from the directory you copied it in at installation
 time.
:p.           
The START1 file contains  the installed OS/2 objects represented by items 1 - 74 with the
 Bypass Processing check box checked. The reason it is checked is so you do not
 inadvertantly process these objects. Examine Objects 75 - 92 by using PF7 or the left arrow in the lower right of the window. From the File pulldown select Load WPS... and you
will see objects 75 - 92 added to your current Desktop. Do not be concerned, your Desktop
 will return to normal when this exercise is complete. These objects are installed with OS/2
 and assumed to be on your workstation.
:p.           
Locate an object you have on your Desktop in the Object Control List. A good one is the
 Shredder. It is number 6 in the list. Check the Hide check box and remove the Bypass
Processing check from the object. Select Save and Load WPS... from the File pulldown.
 Objects 75 - 92 will disappear from the Desktop, the Shredder will disappear and objects 75 - 92 will reappear one by one. You should now have a feel for the operation of the
 Observatory. You can remove the Hide check from the Shredder, Save, and it will reappear 
the next time you issue a Load WPS...
:p.           
Go to object 16, the OS/2 System Folder check all of the Logging check boxes. In the
 Password pulldown select Set... enter a password and the cycle at 1 day and attempts at
 3. Select Save from the File pulldown. You do NOT need to issue a Load WPS... to for the
 password to be active. The Bypass Processing check is also irrelevant when it comes to
 passwords or events. Events and passwords become active when the list is saved.
:p.           
 Double click on the Observatory Icon in the Mini Icon Window to access the Observatory
 Controls, click on the icon, enter the master password and you will find yourself
 in the Master Control Window once again. At this point you should have both the Master Control
 Window and the Object Control List open on your Desktop. Check the Enable
 Security System check box and key in a valid log file name for example, REQ0001.LOG
 and select Ok. The system is now secured and will log any requested activities. If the OS/2 System
 Folder is open you will be prompted for a password. If it is not open, open it. You will be 
presented a password dialog box. You can enter the master password or the password you set
 for the object. Open and close is a few times. Put in a bad password and try again until 
you have exceeded the attempts and you will find that every object will close when you
 attempt to open it. The system will be locked. Open the Master Control Window and it will 
unlock. Select the Find push button. Locate the REQ0001.LOG and load it. The Observatory 
will display the log file and you should see the log entries for the OS/2 System Folder.
:p.           
Go to the Desktop object (1) and set its password. This is now the Global Password. Go to 
object (74) and check the Use Global Password check box. Select Save from the File
 pulldown. Open the OS/2 System Editor and nothing will happen because object (76)
 has no password assigned to it and this is the catch all definition for the System Editor object. 
Open the CONFIG.SYS file from the editor and you will be prompted for a password due to
 SYS being present in the Wild entry field. You can now enter the master or global 
password to continue editing. This is a demonstration of filtering program processing by
 using the Partial Match and Wild controls. If you set a password for object (76) or check
its Use Global Password checkbox a password will be required for the system editor at its 
start up time.
:p.           
When you remove the check from the Enable Security System you can exit the program 
from the Observatory Controls Window. Whenever the Observatory is exited it will remove 
any objects it has added via the Load WPS... command. This should return your Desktop to 
normal. If you have altered Folder Views or Bitmap backgrounds they will remain altered.
:h2.Support
:p. 
Mail your registration card to qualify for one year of technical support. Mailing this card 
also allows us to keep you informed of any new information about Pinnacle Technology, or
 any future releases of the products as they become available.
.* 
.* 
.*      ************* END OF USER GUIDE
.* 
.* 
.*********************************************************
.* Help : WindowButton
.*********************************************************
:h1 name='WindowButton' res=10028 id='Mini Icon Window' global. Mini Icon Window
:i2 refid='DSKOBV' global. Mini Icon Window
:p.
The Mini Icon Window provides assistance with the creation of Desktop configurations.

While constructing objects in the Object Control List Window you should,
while in an unsecured state, open the object you are inputing, track the
mouse pointer over its mini icon and enter the text you see in the Displayed
Text entry field, exactly as it is displayed.

You may also show the Mini Icon Window so it can be be used as a graphical
replacement to the Task List. A single click on an objects icon will bring
it forward and a double click will close it.
.*
.*********************************************************
.* Help : ValueSet1
.*********************************************************
:h2 name='ValueSet1' res=10029 id='Mini Icons' global. Mini Icons
:i2 refid='DSKOBV' global. Mini Icons
:p.
When an object is opened on the desktop the Observatory will place its
icon in the first available position. Tracking over the mini icon will
display the objects title information. A single click will bring the object
up and in focus. A double click will close the object.
.*
.*********************************************************
.* Help : StaticText14
.*********************************************************
:h2 name='StaticText14' res=10111 id='Text Display Field' global. Text Display Field
:i2 refid='DSKOBV' global. Text Display Field
:p.
This field will display the title bar text of an opened Desktop object.
This information must be used when creating an object in the Object Control
List Window's Displayed Text Field. It must exactly match for the security
system to operate on it.
.*
.*********************************************************
.* Help : WindowControl
.*********************************************************
:h1 name='WindowControl' res=10208 id='Control Window' global. Control Window
:i2 refid='DSKOBV' global. Control Window
:p.
The Control Window contains the Master Password, Control List File name,
Log File name, Security Options, Actions at Startup, and a pushbutton that
will allow you to initialize the active Control File.
.*
.*********************************************************
.* Help : EntryFieldDataPath
.*********************************************************
:h2 name='EntryFieldDataPath' res=10211 id='Active Control List File' global. Active Control List File
:i2 refid='DSKOBV' global. Active Control List File
:p.
This is the Control List currently active on the local workstation. It
can be resident on the local hard drive or on a network. You may use UNC
names or aliases to specify the path and name.
.*
.*********************************************************
.* Help : CheckBoxSysCheck
.*********************************************************
:h2 name='CheckBoxSysCheck' res=10212 id='Secure System Enabled' global. Secure System Enabled
:i2 refid='DSKOBV' global. Secure System Enabled
:p.
When checked, the system will be in a secured state and will manage only
the objects present in the control list, unless the OK Unknown checkbox
is selected. When an object is opened and is a member of the list and has
a password associated with it, a password dialog box will appear. Access
from its icon or from the Task List will not be allowed until the Master,
Global, or Object password is entered. Once the password is provided you
may access the object from its icon, the Task List, or the Observatory
Icon Window until it is closed. If no password exists and the Use Global
Password checkbox is not selected the Object will come open without delay.
.*
.*********************************************************
.* Help : CheckBoxLan
.*********************************************************
:h2 name='CheckBoxLan' res=10156 id='LAN Resident Security File' global. LAN Resident Security File
:i2 refid='DSKOBV' global. LAN Resident Security File
:p.
If you are using a Control List File located on a network drive, you must
select this checkbox so the Observatory will wait until the user has logged
on the network at startup time. If it cannot locate the network file it
will default to the machines local Control List File.
.*
.*********************************************************
.* Help : EntryFieldLogPath
.*********************************************************
:h2 name='EntryFieldLogPath' res=10210 id='Log Path File Name' global. Log Path File Name
:i2 refid='DSKOBV' global. Log Path File Name
:p.
If you wish logging to occur while the system is in a secured state, enter
a valid path and file name of the file you wish to contain the logging
information. If no name exists logging will not occur. If it is a Network
file and the Network goes down logging will pause. This file name should
be unique to the machine not the individual.
.*
.*********************************************************
.* Help : PushButton19
.*********************************************************
:h2 name='PushButton19' res=10191 id='Find Control File' global. Find Control File
:i2 refid='DSKOBV' global. Find Control File
:p.
Use this pushbutton to locate Control Files on the workstation or on any
accessed network drive. You can bring up any Control File and load the
Workplace Shell on your machine for testing and modifications. When modifications
are completed you can reload your own Workplace Shell. You then can notify
the user that the modification is complete. They need only access the object
Control List Window to read in the new Control List and then do a Load
WPS to complete the update.
.*
.*********************************************************
.* Help : PushButton20
.*********************************************************
:h2 name='PushButton20' res=10214 id='Find Active Log File' global. Find Active Log File
:i2 refid='DSKOBV' global. Find Active Log File
:p.
Use this pushbutton to locate and display any Log File for any machine
on the network. When you select a Log File it will be automatically displayed.
When you leave the display, the file will become the active Log File for
the workstation. If you are viewing log files, remember to restore the
machines Log File to the Active Log File entry field before you exit the
Control List Window.
.*
.*********************************************************
.* Help : CheckBoxDeskShad
.*********************************************************
:h2 name='CheckBoxDeskShad' res=10225 id='Max Password Window' global. Max Password Window
:i2 refid='DSKOBV' global. Max Password Window
:p.
When checked, this option will cause a full screen password window to cover
the Desktop when accessing any password controlled object. This is the
default screen for both the Master Control Window and the Object Control
List Window.
.*
.*********************************************************
.* Help : CheckBoxDeskWPS
.*********************************************************
:h2 name='CheckBoxDeskWPS' res=10305 id='Auto Reset WPS' global. Auto Reset WPS
:i2 refid='DSKOBV' global. Auto Reset WPS
:p.
When checked, this option will cause the Observatory during its startup
routines, to load the active Control List's Workplace Shell.
.*
.*********************************************************
.* Help : CheckBoxDeskPrompt
.*********************************************************
:h2 name='CheckBoxDeskPrompt' res=10356 id='Prompt on WPS Reset' global. Prompt on WPS Reset
:i2 refid='DSKOBV' global. Prompt on WPS Reset
:p.
When checked, this option will cause a Yes/No dialog box to appear before
an Auto Reset, giving the user a chance to stop the Workplace Shell from
being loaded.
.*
.*********************************************************
.* Help : CheckBoxDeskMini
.*********************************************************
:h2 name='CheckBoxDeskMini' res=10357 id='Show Mini Icon Window' global. Show Mini Icon Window
:i2 refid='DSKOBV' global. Show Mini Icon Window
:p.
When checked, this option causes the Mini Icon Window to display. When
it is not checked, a small Observatory Icon will appear in the lower right
hand corner of the Desktop. You can access the Observatory Controls by
double clicking on the Observatory Icon located in the upper left hand
corner of the Mini Icon Window or by double clicking on the small Observatory
Icon when the Mini Icon Window is not showing.
.*
.*********************************************************
.* Help : CheckBoxDeskDCE
.*********************************************************
:h2 name='CheckBoxDeskDCE' res=10358 id='Invoke DCE GSS APIs' global. Invoke DCE GSS API's
:i2 refid='DSKOBV' global. Invoke DCE GSS APIs
:p.
Selecting this checkbox will cause internal security to be disabled and
any Global or Object Password assigned objects will have the users DCE
token retrieved, if it is not already available, and will present it for
the object to the DCE server to be  validated. Once a validated token is
received, the object's main window will be presented to the user.
.*
.*********************************************************
.* Help : CheckBoxDeskBoot
.*********************************************************
:h2 name='CheckBoxDeskBoot' res=10360 id='Boot Protection Enabled' global. Boot Protection Enabled
:i2 refid='DSKOBV' global. Boot Protection Enabled
:p.
When checked, this option disables the CTL+ALT+DEL keys. This will prevent
a floppy disk boot up and require the power switch to be turned off in
order to reboot the machine. You should have a power on password configured
in your BIOS, should an attempt of this kind be made.
.*
.*********************************************************
.* Help : PushButton35
.*********************************************************
:h2 name='PushButton35' res=10005 id='Master Password' global. Master Password
:i2 refid='DSKOBV' global. Master Password
:p.
Setting the Master Password will bring the Set Object Password Window forward
where you can input and verify the Master Password. This password is local
to the workstation the Observatory is installed on. It can be used in any
situation that requires a password.
.*
.*********************************************************
.* Help : CheckBoxDeskUpdate
.*********************************************************
:h2 name='CheckBoxDeskUpdate' res=10006 id='Ok User Object Update' global. Ok User Object Update
:i2 refid='DSKOBV' global. Ok User Object Update
:p.
When checked, this option will allow the user to access the Object Control
List Window by using the password assigned to the Desktop Object, which
is the first object in the list. This gives them the capability to manage
and control their own Control List without being able to modify the name
and location of other Control Files or the machine's Log File.
.*
.*********************************************************
.* Help : CheckBoxDeskUnknown
.*********************************************************
:h2 name='CheckBoxDeskUnknown' res=10380 id='Ok Unknown' global. Ok Unknown
:i2 refid='DSKOBV' global. Ok Unknown
:p.
When checked, this option will allow any object that is not in the Object
Control List to run. The Control List should be carefully created and tested
so that objects that you do not want to be accessed can not be.

A good way to prevent this is to bury the objects an extra folder deep
so the Observatory will have time to request a password for the starting
folder before an unknown object is activated.
.*
.*********************************************************
.* Help : PushButton25
.*********************************************************
:h2 name='PushButton25' res=10219 id='Initialize Passwords' global. Initialize Passwords
:i2 refid='DSKOBV' global. Initialize Passwords
:p.
When selected, you will be presented with the Set Object Password Window
in order to input and verify the active Control List's Global Password,
which is assigned to the Desktop Object in the first position in the Object
Control List. Any objects that contain a password will have them deleted
and the Use Global Password checkbox for those objects will be checked.
The user need only input the new Global Password to access the Object Control
List (if User Object Update is checked) or any object that had previously
been password protected. This option is used for new set up or forgotten
password situations.
.*
.*********************************************************
.* Help : WindowList
.*********************************************************
:h1 name='WindowList' res=10222 id='Object Control List' global. Object Control List
:i2 refid='DSKOBV' global. Object Control List
:p.
This window allows you to create and distribute Workplace Shell Control
Files. You can build and test them from any OS/2 workstation and then place
them on your LAN for use by other Observatory installed systems.

The active list, passwords, and events are in effect automatically. You
must request a load of the WPS before the Shell reflects the active file.

You can load the Workplace Shell from the Object Control List's File pulldown
menu or from the Observatory Controls Window.
.*
.*********************************************************
.* Help : CheckBoxPFMN
.*********************************************************
:h2 name='CheckBoxPFMN' res=10228 id='Partial Match' global. Partial Match
:i2 refid='DSKOBV' global. Partial Match
:p.
If checked, the object will be compared against the first part of the Displayed
Text of the opened object. 

For example, by placing the word "Drive" in the Displayed Text field and
checking the Partial Match checkbox, the Observatory will manage "Drive
A", "Drive C", "Drive D", etc. with this single Object Control List entry.

Partial Match should also be selected when filtering with Wildcard extensions.
.*
.*********************************************************
.* Help : ActionBar11
.*********************************************************
:h2 name='ActionBar11' res=10007 id='File' global. File
:i2 refid='DSKOBV' global. File
:p.
Selecting this option will allow you to access and update the Object Control
File system.
.*
.*********************************************************
.* Help : PullDown1
.*********************************************************
:h3 name='PullDown1' res=10079 id='Open' global. Open
:i2 refid='DSKOBV' global. Open
:p.
When you attempt to access the Object Control File system you will be presented
a password dialog box that only accepts the Master Password as input.


IMPORTANT - Once you select a Control File, it will become the active Object
Control List. The object passwords will be valid and if you load the Workplace
Shell, it will reflect the active list.

If you select a file that does not exist, it will be created using the
OS/2 system objects and become the active list.
.*
.*********************************************************
.* Help : PullDown3
.*********************************************************
:h3 name='PullDown3' res=10234 id='Save' global. Save
:i2 refid='DSKOBV' global. Save
:p.
When selected, the local or network Object Control File will be updated
using the active list.


IMPORTANT - You must Save the list before any new passwords, events, or
object configurations will become effective. If you exit the list without
saving it, all updates will be lost.
.*
.*********************************************************
.* Help : PullDown4
.*********************************************************
:h3 name='PullDown4' res=10241 id='Save as' global. Save as
:i2 refid='DSKOBV' global. Save as
:p.
Selecting this item will cause a password dialog box to appear which requires
the Master Password as input. Once you have accessed the file system, you
can choose a local or network Control List File name for storage and future
reference by this, or any other, Observatory installed workstations. If
you select a file that does not exist, it will be created and initialized.
.*
.*********************************************************
.* Help : PullDown19
.*********************************************************
:h3 name='PullDown19' res=10573 id='Load WPS from list' global. Load WPS from list
:i2 refid='DSKOBV' global. Load WPS from list
:p.
When you select this option, the active Control List will be used to create
a Workplace Shell.
.*
.*********************************************************
.* Help : ActionBar12
.*********************************************************
:h2 name='ActionBar12' res=10246 id='Edit' global. Edit
:i2 refid='DSKOBV' global. Edit
:p.
Selecting this option will allow you to access list controls.
.*
.*********************************************************
.* Help : PullDown5
.*********************************************************
:h3 name='PullDown5' res=10253 id='Forward' global. Forward
:i2 refid='DSKOBV' global. Forward
:p.
This option moves you to the next object in the list.
.*
.*********************************************************
.* Help : PullDown6
.*********************************************************
:h3 name='PullDown6' res=10260 id='Backward' global. Backward
:i2 refid='DSKOBV' global. Backward
:p.
This option will move you to the previous object in the list.
.*
.*********************************************************
.* Help : PullDown14
.*********************************************************
:h3 name='PullDown14' res=10026 id='Insert' global. Insert
:i2 refid='DSKOBV' global. Insert
:p.
When you select this option, a new object will be inserted at the current
position.
.*
.*********************************************************
.* Help : PullDown15
.*********************************************************
:h3 name='PullDown15' res=10056 id='Delete' global. Delete
:i2 refid='DSKOBV' global. Delete
:p.
When you select this option, the current item will be deleted. You cannot
delete the Desktop Object. You should exit the Observatory and erase the
Control List File, if you wish to have it deleted.
.*
.*********************************************************
.* Help : PullDown17
.*********************************************************
:h3 name='PullDown17' res=10251 id='Add' global. Add
:i2 refid='DSKOBV' global. Add
:p.
This option will add a new item to the end of the list.
.*
.*********************************************************
.* Help : GroupBox4
.*********************************************************
:h2 name='GroupBox4' res=10372 id='Restriction Options' global. Restriction Options
:i2 refid='DSKOBV' global. Restriction Options
:p.
The Observatory provides the capability to turn Restriction Options on
or off during the load of the Workplace Shell for any object in the list.


Note - They are ignored for the Desktop object and when the Bypass Processing
checkbox is checked.
.*
.*********************************************************
.* Help : CheckBoxListCopy
.*********************************************************
:h2 name='CheckBoxListCopy' res=10374 id='Copy option' global. Copy option
:i2 refid='DSKOBV' global. Copy option
:p.
Selecting this object will allow the object to be copied.
.*
.*********************************************************
.* Help : CheckBoxListMove
.*********************************************************
:h2 name='CheckBoxListMove' res=10375 id='Move option' global. Move option
:i2 refid='DSKOBV' global. Move option
:p.
Selecting this option will allow the object to be moved into another folder.
.*
.*********************************************************
.* Help : CheckBoxListDrag
.*********************************************************
:h2 name='CheckBoxListDrag' res=10376 id='Drag option' global. Drag option
:i2 refid='DSKOBV' global. Drag option
:p.
Selecting this option will allow a drag operation to be performed on the
objects icon.
.*
.*********************************************************
.* Help : CheckBoxListRena
.*********************************************************
:h2 name='CheckBoxListRena' res=10377 id='Rename option' global. Rename option
:i2 refid='DSKOBV' global. Rename option
:p.
Selecting this option will prevent the object from being renamed.

When files are initialized by the Observatory, Rename is set to off by
default and it is recommended you leave this setting off for all objects.
In a secured state objects should never be allowed to be renamed.
.*
.*********************************************************
.* Help : CheckBoxListHide
.*********************************************************
:h2 name='CheckBoxListHide' res=10379 id='Hide option' global. Hide option
:i2 refid='DSKOBV' global. Hide option
:p.
Selecting this option will hide the object from view.
.*
.*********************************************************
.* Help : CheckBoxListCont
.*********************************************************
:h2 name='CheckBoxListCont' res=10384 id='Bypass Processing' global. Bypass Processing
:i2 refid='DSKOBV' global. Bypass Processing
:p.
When selected, the Observatory will not process this object while loading
the Workplace Shell. The passwords and events will not be bypassed. In
fact, the passwords and events become active when the file is loaded as
the active Control List.

Checking this option will improve the time it takes to load the Shell.
.*
.*********************************************************
.* Help : GroupBox6
.*********************************************************
:h2 name='GroupBox6' res=10386 id='Logging' global. Logging
:i2 refid='DSKOBV' global. Logging
:p.
The Observatory provides the capability to log to the active Log File,
when an object has a successful start up, when it is presented with a bad
password, when it has had too many access attempts, and when it exits.

Note - Termination and unauthorized access attempts are automatically logged
if a Log File name is present.
.*
.*********************************************************
.* Help : CheckBoxListUnsucc
.*********************************************************
:h2 name='CheckBoxListUnsucc' res=10387 id='Bad Pswrd' global. Bad Pswrd
:i2 refid='DSKOBV' global. Bad Pswrd
:p.
Selecting this option will cause logging to occur when the object is presented
with a bad password.
.*
.*********************************************************
.* Help : CheckBoxListLaunch
.*********************************************************
:h2 name='CheckBoxListLaunch' res=10388 id='Attempts logging' global. Attempts logging
:i2 refid='DSKOBV' global. Attempts logging
:p.
Selecting this option will cause logging to occur when the maximum allowed
access attempts has been exceeded.
.*
.*********************************************************
.* Help : ActionBar17
.*********************************************************
:h2 name='ActionBar17' res=10125 id='Locate' global. Locate
:i2 refid='DSKOBV' global. Locate
:p.
Selecting this option will allow you to locate objects in the list or new
items out in the network for selection and addition to the active Control
List.
.*
.*********************************************************
.* Help : PullDown2
.*********************************************************
:h3 name='PullDown2' res=10190 id='Locate in List' global. Locate in List
:i2 refid='DSKOBV' global. Locate in List
:p.
When you select this option, a dialog box will appear where you may enter
a case sensitive string. The Observatory will search the Displayed Text,
System Name, and Object ID, for a match.
.*
.*********************************************************
.* Help : PullDown20
.*********************************************************
:h3 name='PullDown20' res=10226 id='File System' global. File System
:i2 refid='DSKOBV' global. File System
:p.
When selected, the Observatory will open a file dialog box displaying programs
in both the local and any network attached drives and directories. 

If you make a selection from this dialog box, the new item will be added
to the end of the list and the program executable will be added for you.
You must still input the Displayed Text, Class, create an Object ID, and
enter the Parent ID to specify a location.

Note - the open file dialog will reappear for another selection until Cancel
is selected.
.*
.*********************************************************
.* Help : CheckBoxListClose
.*********************************************************
:h2 name='CheckBoxListClose' res=10389 id='Exit logging' global. Exit logging
:i2 refid='DSKOBV' global. Exit logging
:p.
Selecting this option will cause logging to occur anytime the object exits
from the system.
.*
.*********************************************************
.* Help : CheckBoxListSuccess
.*********************************************************
:h2 name='CheckBoxListSuccess' res=10008 id='Start up' global. Start up
:i2 refid='DSKOBV' global. Start up
:p.
When selected this option will cause logging to occur when the object is
opened.
.*
.*********************************************************
.* Help : CheckBoxListDelete
.*********************************************************
:h2 name='CheckBoxListDelete' res=10295 id='Delete option' global. Delete option
:i2 refid='DSKOBV' global. Delete option
:p.
Selecting this option will allow the object to be deleted.
.*
.*********************************************************
.* Help : ActionBar18
.*********************************************************
:h2 name='ActionBar18' res=10227 id='Password pulldown' global. Password pulldown
:i2 refid='DSKOBV' global. Password pulldown
:p.
Selecting this option will allow you to set the displayed objects password
or initialize the entire list.
.*
.*********************************************************
.* Help : PullDown11
.*********************************************************
:h3 name='PullDown11' res=10220 id='Set' global. Set
:i2 refid='DSKOBV' global. Set
:p.
When you select this option, the Set Object Password Window will appear
and you can input password, cycle, and attempt information.
.*
.*********************************************************
.* Help : PullDown13
.*********************************************************
:h3 name='PullDown13' res=10298 id='Initialize List' global. Initialize List
:i2 refid='DSKOBV' global. Initialize List
:p.
When you select this option, you will be presented the Set Object Password
Window where you may enter password, cycle, and attempt information.

This information will be applied to the first object in the list (the Global
Password). Any object that has a password will have it deleted and the
objects Use Global Password checkbox will be checked.
.*
.*********************************************************
.* Help : ActionBar13
.*********************************************************
:h2 name='ActionBar13' res=10308 id='Event pulldown' global. Event pulldown
:i2 refid='DSKOBV' global. Event pulldown
:p.
This pulldown will allow access to start programs in C or REXX when an
object opens or closes.
.*
.*********************************************************
.* Help : PullDown8
.*********************************************************
:h3 name='PullDown8' res=10363 id='Launch Object' global. Launch Object
:i2 refid='DSKOBV' global. Launch Object
:p.
When you select this option, you will be presented the Event Driven Activity
Window.
.*
.*********************************************************
.* Help : PullDown9
.*********************************************************
:h3 name='PullDown9' res=10373 id='Exit Object' global. Exit Object
:i2 refid='DSKOBV' global. Exit Object
:p.
When you select this option, the Event Driven Activity Window will be presented.
.*
.*********************************************************
.* Help : CheckBoxListShadow
.*********************************************************
:h2 name='CheckBoxListShadow' res=10385 id='Shadow option' global. Shadow option
:i2 refid='DSKOBV' global. Shadow option
:p.
Selecting this option will allow the object to have a shadow created from
it.
.*
.*********************************************************
.* Help : CheckBoxListGlobal
.*********************************************************
:h2 name='CheckBoxListGlobal' res=10544 id='Use Global Password' global. Use Global Password
:i2 refid='DSKOBV' global. Use Global Password
:p.
When checked, the Observatory will use the password assigned to the Desktop
object for validation. If the object has a password, it will remain valid
as well. 

Note - This option is automatically checked by the system if you Initailize
the list and the object has a password. If checked by the system, the object
password will be cleared and only the Global Password will be valid.
.*
.*********************************************************
.* Help : EntryFieldPFList
.*********************************************************
:h2 name='EntryFieldPFList' res=10233 id='Displayed Text' global. Displayed Text
:i2 refid='DSKOBV' global. Displayed Text
:p.
In this field you must enter the exact diplayed text appearing in the Mini
Icon Window's entry field after the object has been captured.
.*
.*********************************************************
.* Help : EntryFieldListWild
.*********************************************************
:h2 name='EntryFieldListWild' res=10252 id='Wild' global. Wild
:i2 refid='DSKOBV' global. Wild
:p.
You may enter a wild card file extention field that will be used to filter
a file being processed by a program. The wild card must be an extension
i.e. SYS, DOC, TXT, ect. 

For example, if you wish to allow the use of the system editor but not
allow editing of the CONFIG.SYS file, you need to insert another OS/2 System
Editor object before the existing one, add the SYS wildcard, check the
Partial Match, and add a password or check the Use Global Password checkbox.
You may also wish to check the Bypass Processing checkbox so that the object
is skipped when the Workplace Shell is loaded.
.*
.*********************************************************
.* Help : EntryFieldListClass
.*********************************************************
:h2 name='EntryFieldListClass' res=10261 id='Object Class' global. Object Class
:i2 refid='DSKOBV' global. Object Class
:p.
Enter the objects class: i.e. WPProgram, WPFolder, WPShadow ect.
.*
.*********************************************************
.* Help : EntryFieldListName
.*********************************************************
:h2 name='EntryFieldListName' res=10262 id='OS/2 System Name' global. OS/2 System Name
:i2 refid='DSKOBV' global. OS/2 System Name
:p.
You should enter the name of the object in this field. Most of the time
use the displayed text field. If the displayed text is unusual use the
objects name listed in its documentation.
.*
.*********************************************************
.* Help : EntryFieldListID
.*********************************************************
:h2 name='EntryFieldListID' res=10309 id='Object ID' global. Object ID
:i2 refid='DSKOBV' global. Object ID
:p.
Enter the ID of the Object. All objects are required to be inside a <>
pair: i.e. <WP_DESKTOP>. When creating a new object, it is best to precede
the ID with a DO_ for example, <DO_WORKFOLDER> for a newly created folder
that you wish to place other objects inside. This way you can distinquish
between objects created by the Observatory and those that are not.
.*
.*********************************************************
.* Help : EntryFieldListPara
.*********************************************************
:h2 name='EntryFieldListPara' res=10310 id='Parent ID' global. Parent ID
:i2 refid='DSKOBV' global. Parent ID
:p.
Input the ID of the Parent that you want to locate the current object inside
of: i.e. <WP_DESKTOP> will place the object on the Desktop.
.*
.*********************************************************
.* Help : EntryFieldListFile
.*********************************************************
:h2 name='EntryFieldListFile' res=10361 id='Executable / Bitmap / Shadow ID' global. Executable / Bitmap / Shadow ID
:i2 refid='DSKOBV' global. Executable / Bitmap / Shadow ID
:p.
This field is used to place the path and file name of the executable if
the class is a WPProgram, an optional bitmap if the class is WPFolder,
or a directory if the class is WPShadow.

If you know how to use other object settings: i.e. STARTUPDIR, ICONPOS,
or DOS session settings, you may enter them in this field separated by
a semicolon ";".

Use caution because some combinations are invalid.
.*
.*********************************************************
.* Help : EntryFieldListAssoc
.*********************************************************
:h2 name='EntryFieldListAssoc' res=10365 id='Association' global. Association
:i2 refid='DSKOBV' global. Association
:p.
When the objects class is WPProgram you may enter the file extensions you
wish to have tied to the program. If you enter more than one, they must
be separated by comma's ",".
.*
.*********************************************************
.* Help : EntryFieldListView
.*********************************************************
:h2 name='EntryFieldListView' res=10367 id='Folder View' global. Folder View
:i2 refid='DSKOBV' global. Folder View
:p.
When the class is WPFolder, you can specify the view with one of the valid
types: i.e. FLOWED, NORMAL, MINI. If you use more than one they must be
separated by comma's ",": i.e. FLOWED,MINI.

WPShadow's will retain their original's view.
.*
.*********************************************************
.* Help : EntryFieldListRes
.*********************************************************
:h2 name='EntryFieldListRes' res=10369 id='Icon File or Resource ID' global. Icon File or Resource ID
:i2 refid='DSKOBV' global. Icon File or Resource ID
:p.
You can optionally modify the WPFolder class icon by specifying the path
and file name of an icon or a resource id.
.*
.*********************************************************
.* Help : WindowEvent
.*********************************************************
:h1 name='WindowEvent' res=10393 id='Event Driven Activity' global. Event Driven Activity
:i2 refid='DSKOBV' global. Event Driven Activity
:p.
This window allows you to interface with either REXX or C applications.
The Observatory will execute the program when the associated object comes
open or is closed.
.*
.*********************************************************
.* Help : EntryFieldEventObj
.*********************************************************
:h2 name='EntryFieldEventObj' res=10395 id='Event Object' global. Event Object
:i2 refid='DSKOBV' global. Event Object
:p.
This field contains the objects name that the Observatory will watch for
in order to execute the program assigned to the Launch or Exit event.
.*
.*********************************************************
.* Help : EntryFieldEventProg
.*********************************************************
:h2 name='EntryFieldEventProg' res=10397 id='Event Program' global. Event Program
:i2 refid='DSKOBV' global. Event Program
:p.
The path and file name of the program you would like to execute. The path
may use the UNC or network alias syntax.
.*
.*********************************************************
.* Help : EntryFieldEventParms
.*********************************************************
:h2 name='EntryFieldEventParms' res=10238 id='Event Parameters' global. Event Parameters
:i2 refid='DSKOBV' global. Event Parameters
:p.
You can use this field to pass any parameters that the program will use.
The first parm passed automatically by the Observatory at Launch time is
the window handle of the Object. If you return a return code of 99 to the
Observatory at Launch time the Observatory will close the object.
.*
.*********************************************************
.* Help : WindowPopup
.*********************************************************
:h1 name='WindowPopup' res=10412 id='Observatory Controls Window' global. Observatory Controls Window
:i2 refid='DSKOBV' global. Observatory Controls Window
:p.
The Observatory Controls Window provides access to the various windows
in the system. It also has several options for managing the Mini Icon Window
and open objects that are active on the system.
.*
.*********************************************************
.* Help : ActionBar2
.*********************************************************
:h2 name='ActionBar2' res=10010 id='Setup' global. Setup
:i2 refid='DSKOBV' global. Setup
:p.
When you select this option you will be presented a password dialog box
that requires the Master Password or Global Password (if the OK User Update
checkbox is selected).

If a valid password is given the Object Control List will be displayed.
.*
.*********************************************************
.* Help : ActionBar3
.*********************************************************
:h2 name='ActionBar3' res=10012 id='Move' global. Move
:i2 refid='DSKOBV' global. Move
:p.
Selecting this option will open a dialog box that will let you decide which
corner the Mini Icon Window will appear. 

Note - the small Observatory icon displayed when the Show Mini Icon Window
checkbox is not checked, cannot be moved.
.*
.*********************************************************
.* Help : ActionBar4
.*********************************************************
:h2 name='ActionBar4' res=10013 id='List Display' global. List Display
:i2 refid='DSKOBV' global. List Display
:p.
Selecting this option will display the objects in the active Control List.
User should reference this list to prevent access attempts on unauthorized
objects.
.*
.*********************************************************
.* Help : ActionBar5
.*********************************************************
:h2 name='ActionBar5' res=10014 id='Smaller' global. Smaller
:i2 refid='DSKOBV' global. Smaller
:p.
Selecting this option will cause the Mini Icon Window to grow smaller.
.*
.*********************************************************
.* Help : ActionBar6
.*********************************************************
:h2 name='ActionBar6' res=10015 id='Larger' global. Larger
:i2 refid='DSKOBV' global. Larger
:p.
Selecting this option will cause the Mini Icon Window to grow larger.
.*
.*********************************************************
.* Help : ActionBar7
.*********************************************************
:h2 name='ActionBar7' res=10016 id='Close All' global. Close All
:i2 refid='DSKOBV' global. Close All
:p.
Selecting this option will close all objects captured by the Observatory.

Note - Prompt windows will not be closed because they may contain active
programs.
.*
.*********************************************************
.* Help : ActionBar16
.*********************************************************
:h2 name='ActionBar16' res=10209 id='Pass Reset' global. Pass Reset
:i2 refid='DSKOBV' global. Pass Reset
:p.
Selecting this option will cause any open objects to require a password
for subsequent access. This option should be used when you leave a workstation
unattended but do not wish to close your applications.
.*
.*********************************************************
.* Help : ActionBar15
.*********************************************************
:h2 name='ActionBar15' res=10215 id='Load WPS from Controls' global. Load WPS from Controls
:i2 refid='DSKOBV' global. Load WPS from Controls
:p.
Selecting this option will cause the Workplace Shell to be loaded from
the active Control List.
.*
.*********************************************************
.* Help : ActionBar9
.*********************************************************
:h2 name='ActionBar9' res=10022 id='About' global. About
:i2 refid='DSKOBV' global. About
:p.
This option will display version, copyright, and company information.
.*
.*********************************************************
.* Help : ActionBar10
.*********************************************************
:h2 name='ActionBar10' res=10160 id='Dismiss Menu' global. Dismiss Menu
:i2 refid='DSKOBV' global. Dismiss Menu
:p.
This option will remove the Observatory Controls Window from the Desktop.
.*
.*********************************************************
.* Help : WindowCycle
.*********************************************************
:h1 name='WindowCycle' res=10083 id='Set Object Password' global. Set Object Password
:i2 refid='DSKOBV' global. Set Object Password
:p.
This window is where password, cycle, and attempt information is input.
.*
.*********************************************************
.* Help : EntryFieldNewPass
.*********************************************************
:h2 name='EntryFieldNewPass' res=10153 id='New Password' global. New Password
:i2 refid='DSKOBV' global. New Password
:p.
This entry field is for input of new password information. Currently only
8 digit alpha numeric passwords are acceptable. Passwords will never be
displayed.
.*
.*********************************************************
.* Help : EntryFieldVerify
.*********************************************************
:h2 name='EntryFieldVerify' res=10155 id='Verify' global. Verify
:i2 refid='DSKOBV' global. Verify
:p.
This entry field will verify that the correct New Password was entered.
.*
.*********************************************************
.* Help : EntryFieldCycleDays
.*********************************************************
:h2 name='EntryFieldCycleDays' res=10017 id='Cycle Days' global. Cycle Days
:i2 refid='DSKOBV' global. Cycle Days
:p.
This number represents the total number of days that a password will remain
valid. Once it has expired the user will be prompted with the Set Object
Password window to update it.
.*
.*********************************************************
.* Help : EntryFieldCycleAtt
.*********************************************************
:h2 name='EntryFieldCycleAtt' res=10181 id='Attempts' global. Attempts
:i2 refid='DSKOBV' global. Attempts
:p.
This number represents the amount of invalid password access tries before
the system goes into a lockup. When locked no objects will be allowed to
remain open. To unlock the system you must enter either the Master Control
Window or the Object Control List. Entering one of these windows will unlock
the system.
.*
.*********************************************************
.* Online Guide 
.*********************************************************
.*********************************************************
.* Help : Messages
.*********************************************************
:h1. Messages
.ce Messages
:dl.
:edl.
.*********************************************************
.*
:index.
:euserdoc.
.* end of Help Library File *.
