/*====================================================================*/
/*  Name:  EHSINUCB.CMD  -  CMD file for installation                 */
/*====================================================================*/
/*                                                                    */
/*  Licensed Materials - Property of IBM                              */
/*                                                                    */
/*  5621-404 (C) Copyright IBM Corp. 1993                             */
/*  5622-018 (C) Copyright IBM Corp. 1993                             */
/*                                                                    */
/*  All rights reserved.                                              */
/*  US Government Users Restricted Rights -                           */
/*  Use, duplication or disclosure restricted                         */
/*  by GSA ADP Schedule Contract with IBM Corp.                       */
/*                                                                    */
/*  See Copyright Instructions.                                       */
/*                                                                    */
/*====================================================================*/
/* Create User's Guide Object in SearchManager folder  */

arg filepath

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

objset = 'EXENAME=VIEW.EXE;PARAMETERS='filepath'\EHSA7MST.INF;OBJECTID=<EHS_BOOK>'
if SysCreateObject(WPProgram,"Retrieval and Indexing",'<EHS_PROD>',objset,'r') then
  say '.'
else
  signal END

samppath=filepath'\SM2DEMO.DOC'

/* build ea value  -  add long name to sample directories   */
/* 0xfdffxxxx' where xxxx is a USHORT containing the length */

longname='How to use the demo version...'
test='fdff'D2X(LENGTH(longname) + 4 + LENGTH(samppath),2)'00'
longname=x2c(test)longname''x2c('0d0a')'('samppath')'
res = SysPutEA(samppath,'.LONGNAME',longname)
/*if res \== 0 then                                           */
/*   say 'Warning: Longname processing failed - continue....' */

objset = 'SHADOWID='samppath';OBJECTID=<EHS_DEMO>'
if SysCreateObject(WPShadow, "How to use the demo version...", '<EHS_PROD>',objset,'r') then
  say '.'
else
  signal END

/* no execution during part 2 */

copy filepath'\EHSINDCN.CMD 'filepath'\EHSINUCN.CMD >NUL'

END:
return
